Description

The saved styles feature is great, but not very practical to use. It is

Here are the problems :

- As soon as there are more than 5 or 6 styles, the styles browser is full and you need to scroll up or down to find what you want.

- The scroll wheel scrolls too quickly and you have to go several times back and forth until you can find the style you want.

- The "Symbol selector" window opens up at the same default size every time, which forces to resize the window to see more styles at

once.

- The window resize spoils a lot of space in resizing the whole window instead of only the "Saved styles" field

- The names of the styles are not displayed, which makes it difficult to choose the right style between to similar styles

Here is how I would love it to work :

- Have different display modes for style : big icons (with and without name), small icons (with and without name), list

- Be able to quick-search a style by it's name

- Be able to group and or tag the styles

(please excuse me if I made some mistakes in the feature request since it is my first one)

History

#1 - 2012-05-04 04:00 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

All the symbol dialogs are getting a make over in this year GSoC.  Will take your feedback on board for the student working on that project.

#2 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2013-01-12 02:00 AM - Nathan Woodrow

- Status changed from Open to Closed

Please check the latest build most of these issues should now be fixed.
